%global momorel 2

Summary: HP Linux Imaging and Printing Project
Name: hplip
Version: 2.8.2
Release: %{momorel}m%{?dist}
License: GPLv2+ and MIT
Group: System Environment/Daemons
Conflicts: system-config-printer < 0.6.132
Obsoletes: hpoj <= 0.91
Obsoletes: xojpanel <= 0.91

# Need selinux-policy to know about new port numbers (bug #201357).
Conflicts: selinux-policy < 3.0.3-3

Url: http://hplip.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/hplip/%{name}-%{version}.tar.gz
NoSource: 0
Source1: hplip.fdi
Patch1: hplip-desktop.patch
Patch2: hplip-gzip-n.patch
Patch3: hplip-quiet.patch
Patch4: hplip-marker-supply.patch
Patch5: hplip-libm.patch
Patch8: hplip-libsane.patch
Patch12: hplip-no-root-config.patch
Patch13: hplip-ui-optional.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): initscripts
Requires(post): chkconfig
Requires(preun): initscripts
Requires(preun): chkconfig

%define hpijs_epoch 1
Requires: hpijs = %{hpijs_epoch}:%{version}-%{release}

Requires: python-imaging
Requires: hal

BuildRequires: net-snmp-devel
BuildRequires: cups-devel
BuildRequires: python-devel
BuildRequires: libjpeg-devel
BuildRequires: desktop-file-utils
BuildRequires: libusb-devel
BuildRequires: openssl-devel
BuildRequires: autoconf
BuildRequires: sane-backends-devel

%description
The Hewlett-Packard Linux Imaging and Printing Project provides
drivers for HP printers and multi-function peripherals.

%package gui
Summary: HPLIP graphical tools
Group: Applications/System
License: BSD
Requires: PyQt
Requires(post): desktop-file-utils >= 0.2.92
Requires(postun): desktop-file-utils >= 0.2.92
Requires: %{name} = %{version}-%{release}

%description gui
HPLIP graphical tools.

%package -n hpijs
Summary: HP Printer Drivers
Group: Applications/Publishing
License: BSD
Epoch: %{hpijs_epoch}
Requires: python-reportlab
Requires: net-snmp
Requires: cupsddk-drivers
Requires: foomatic

%description -n hpijs
hpijs is a collection of optimized drivers for HP printers.
hpijs supports the DeskJet 350C, 600C, 600C Photo, 630C, Apollo 2000,
Apollo 2100, Apollo 2560, DeskJet 800C, DeskJet 825, DeskJet 900,
PhotoSmart, DeskJet 990C, and PhotoSmart 100 series.

%package -n libsane-hpaio
Summary: SANE driver for scanners in HP's multi-function devices
Group: System Environment/Daemons
License: GPL
Obsoletes: libsane-hpoj <= 0.91
Requires: sane-backends
Requires: %{name} = %{version}-%{release}
ExcludeArch: s390 s390x

%description -n libsane-hpaio
SANE driver for scanners in HP's multi-function devices (from HPOJ).

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%setup -q

# Fix desktop file.
%patch1 -p1 -b .desktop

# Avoid multilib conflict (bug #341531).
%patch2 -p1 -b .gzip-n

# Quieten hpssd on startup.
%patch3 -p1 -b .quiet

# Low ink is a warning condition, not an error.
%patch4 -p1 -b .marker-supply

# libhpip should link against libm (bug #197599).
%patch5 -p1 -b .libm

# Link libsane-hpaio against libsane (bug #234813).
%patch8 -p1 -b .libsane

# Prevent SELinux audit message from the CUPS backends (bug #241776)
%patch12 -p1 -b .no-root-config

# Make utils.checkPyQtImport() look for the gui sub-package (bug #243273).
%patch13 -p1 -b .ui-optional

autoconf # for patch4

%build
%configure --disable-foomatic-xml-install --disable-cups-install \
	--enable-scan-build --enable-gui-build --enable-fax-build \
	--disable-foomatic-rip-hplip-install
make hpppddir=%{_datadir}/foomatic/db/source/PPD/HP

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make install DESTDIR=%{buildroot} \
	hpppddir=%{_datadir}/foomatic/db/source/PPD/HP

# Remove unpackaged files
rm -rf	%{buildroot}%{_sysconfdir}/sane.d \
	%{buildroot}%{_docdir} \
	%{buildroot}%{_sysconfdir}/udev/rules.d/*

rm -f	%{buildroot}%{_bindir}/foomatic-rip \
	%{buildroot}%{_libdir}/cups/filter/foomatic-rip \
	%{buildroot}%{_libdir}/*.la \
	%{buildroot}%{_libdir}/*.so \
	%{buildroot}%{_libdir}/sane/*.la \
	%{buildroot}%{_datadir}/cups/model/foomatic-ppds \
	%{buildroot}%{_datadir}/applications/hplip.desktop

mkdir -p %{buildroot}%{_datadir}/applications
sed -i -e '/^Categories=/d' hplip.desktop
desktop-file-install --vendor ""				\
	--dir %{buildroot}%{_datadir}/applications		\
	--add-category System					\
	--add-category Settings					\
	--add-category HardwareSettings				\
	--add-category Application				\
	hplip.desktop

mkdir -p %{buildroot}%{_datadir}/hal/fdi/policy/10osvendor
install -p -m644 %{SOURCE1} %{buildroot}%{_datadir}/hal/fdi/policy/10osvendor/10-hplip.fdi

# Images in docdir should not be executable (bug #440552).
chmod 644 doc/images/*

# Remove files we don't want to package.
rm -f %{buildroot}%{_datadir}/hplip/hpaio.desc
rm -f %{buildroot}%{_datadir}/hplip/hplip-install
rm -rf %{buildroot}%{_datadir}/hplip/install.*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING doc/*
%{_datadir}/hal/fdi/policy/10osvendor/10-hplip.fdi
%dir %{_sysconfdir}/hp
%config(noreplace) %{_sysconfdir}/hp/hplip.conf
%{_bindir}/hp-align
%{_bindir}/hp-clean
%{_bindir}/hp-colorcal
%{_bindir}/hp-fab
%{_bindir}/hp-firmware
%{_bindir}/hp-info
%{_bindir}/hp-levels
%{_bindir}/hp-makecopies
%{_bindir}/hp-makeuri
%{_bindir}/hp-probe
%{_bindir}/hp-scan
%{_bindir}/hp-sendfax
%{_bindir}/hp-setup
%{_bindir}/hp-testpage
%{_bindir}/hp-timedate
%{_bindir}/hp-unload
# Note: this must be /usr/lib not %{_libdir}, since that's the
# CUPS serverbin directory.
/usr/lib/cups/backend/hp
/usr/lib/cups/backend/hpfax
# Python extension
%{_libdir}/python*/site-packages/*
# Files
%dir %{_datadir}/hplip
%{_datadir}/hplip/align.py*
%{_datadir}/hplip/clean.py*
%{_datadir}/hplip/colorcal.py*
%{_datadir}/hplip/fab.py*
%{_datadir}/hplip/fax
%{_datadir}/hplip/firmware.py*
%{_datadir}/hplip/hpssd*
%{_datadir}/hplip/info.py*
%{_datadir}/hplip/__init__.py*
%{_datadir}/hplip/levels.py*
%{_datadir}/hplip/makecopies.py*
%{_datadir}/hplip/makeuri.py*
%{_datadir}/hplip/probe.py*
%{_datadir}/hplip/scan.py*
%{_datadir}/hplip/sendfax.py*
%{_datadir}/hplip/setup.py*
%{_datadir}/hplip/testpage.py*
%{_datadir}/hplip/timedate.py*
%{_datadir}/hplip/unload.py*
# Directories
%{_datadir}/hplip/base
%{_datadir}/hplip/copier
%dir %{_datadir}/hplip/data
%{_datadir}/hplip/data/ldl
%{_datadir}/hplip/data/localization
%{_datadir}/hplip/data/models
%{_datadir}/hplip/data/pcl
%{_datadir}/hplip/data/ps
%{_datadir}/hplip/pcard
%{_datadir}/hplip/prnt
%{_datadir}/hplip/scan

%files gui
%{_bindir}/hp-check
%{_bindir}/hp-print
%{_bindir}/hp-toolbox
%{_datadir}/applications/*.desktop
# Files
%{_datadir}/hplip/check.py*
%{_datadir}/hplip/print.py*
%{_datadir}/hplip/toolbox.py*
# Directories
%{_datadir}/hplip/data/images
%{_datadir}/hplip/installer
%{_datadir}/hplip/plugins
%{_datadir}/hplip/ui

%files -n hpijs
%defattr(-,root,root)
%{_libdir}/libhpip.so*
%{_libdir}/libhpmud.so*
%{_bindir}/hpijs
%{_datadir}/foomatic/db/source/PPD/HP/*
%{_datadir}/cups/drv/*

%files -n libsane-hpaio
%defattr(-,root,root)
%{_libdir}/sane/libsane-*.so*

%pre
# No daemons any more.
/sbin/chkconfig --del hplip 2>/dev/null || true
if [ -x /etc/init.d/hplip ]; then
  /sbin/service hplip stop
fi

%post gui
/usr/bin/update-desktop-database &>/dev/null ||:

%postun gui
/usr/bin/update-desktop-database &>/dev/null ||:

%post -n libsane-hpaio
/sbin/ldconfig
if [ -f /etc/sane.d/dll.conf ] && \
   ! grep ^hpaio /etc/sane.d/dll.conf >/dev/null 2>/dev/null ; then \
        echo hpaio >> /etc/sane.d/dll.conf; \
fi
exit 0

%changelog
* Wed Jul 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.8.2-2m)
- release %%{_datadir}/foomatic/db/source/PPD/HP, it's provided by foomatic

* Tue Jul 15 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8.2-1m)
- sync Fedora

* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.7.4a-6m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.4a-5m)
- rebuild against gcc43

* Mon Jul 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.4a-4m)
- add Requires: chkconfig

* Sun Jul 15 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.4a-3m)
- add Patch10: hplip-1.7.4a-viewstatus.patch
  reported by tattsan [Momonga-devel.ja:03503] and [Momonga-devel.ja:03504]
  [momongaja:00189] http://developer.momonga-linux.org/kagemai/guest.cgi?project=momongaja&action=view_report&id=189

* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.7.4-2m)
- rebuild against net-snmp

* Wed May 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.4-1m)
- update 1.7.4a

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.2-1m)
- update 1.7.2

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.12-1m)
- update 1.6.12

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.6a-5m)
- remove category X-Red-Hat-Extra Application

* Thu Aug 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6.6a-4m)
- remove hplip-cups-backend.patch

* Wed Aug  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6.6a-3m)
- rebuild against net-snmp 5.3.1.0

* Tue Aug  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.6a-2m)
- add hplip-1.6.6-disable-service.patch for stable release
- revise %%files

* Sun Jul 30 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6.6a-1m)
- update 1.6.6a

* Wed Jun 28 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.6-1m)
- update 1.6.6

* Mon May 15 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.11-1m)
- update 0.9.11

* Fri Nov 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.7-1m)
- update 0.9.7

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.6-2m)
- rebuild against python-2.4.2
- Requires: PyQt >= 3.13-7m

* Fri Oct 14 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.6-1m)
- update 0.9.6

* Sun Oct  2 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.5-1m)
- update 0.9.5

* Sun Aug 28 2005 Yohsuke Ooi <meke@momonga-linux.org>
- First import, based on Fedora (0.9.4-3).

